import { FC, FocusEvent } from 'react';
export declare type InputProps = {
    value?: string | number;
    type?: string;
    label?: string;
    disabled?: boolean;
    autoFocus?: boolean;
    onFocus?: (e: FocusEvent) => void;
    onBlur?: (e: FocusEvent) => void;
    onChange?: (value: string) => void;
    inputWrapperClassName?: string;
    inputLabelClassName?: string;
    inputClassName?: string;
    error?: boolean;
    startAdornment?: string;
    endAdornment?: string;
    isCloseIcon?: boolean;
};
export declare const Input: FC<InputProps>;
