import { FC } from 'react';
import { ValidationSchema } from '../../utils/validator';
import { InputProps } from '../input';
export declare type ValidatedInputProps = {
    onError?: (invalid: boolean) => void;
    schema: ValidationSchema;
    errorDelayTime?: number;
    value: string;
    maxLength?: number | string;
    wrapperClass?: string;
} & InputProps;
export declare const ValidatedInput: FC<ValidatedInputProps>;
